import 'option.dart';
import 'terminal.dart';

final Terminal _terminal = const Terminal();

class Prompter {
  dynamic askMultiple(String prompt, List<Option> options) {
    final input = _ask(prompt, options);
    try {
      return options[int.parse(input) - 1].value;
    } catch (err) {
      return askMultiple(prompt, options);
    }
  }

  bool askBinary(String prompt) {
    final input = _ask("$prompt (y/n)", []);
    if (input == 'y' || input == 'n') return input == 'y';
    return askBinary(prompt);
  }

  String _ask(String prompt, List<Option> options) {
    _terminal.printPrompt(prompt);
    _terminal.printOptions(options);
    return _terminal.collectInput();
  }
}
